:root {
    --color-purple-gemi: rgba(72, 54, 152, 1);
    --color-fb: rgb(58 88 155);
    --color-yt: rgb(209 33 34);
    --justify-content-loader: center;
    --size-loader: 100%;
    --size-loader-gemi: 16rem;
}


.request-loader {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    height: var(--size-loader);
    width: var(--size-loader);
    border-radius: 100%;
}
.request-loader span {
    position: relative;
    font-size: 72px;
    top: 5px;
    left: -5px;
}
.request-loader::after {
    opacity: 0;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: "";
    height: 100%;
    width: 100%;
    border: 8px solid var(--color-purple-gemi);
    border-radius: 100%;
    animation-name: ripple;
    animation-duration: 2s;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(0.65, 0, 0.34, 1);
    z-index: 0;
}
.request-loader::before {
    opacity: 0;
    display: flex;
    flex-direction: row;
    justify-content: var(--justify-content-loader);
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: "";
    height: 100%;
    width: 100%;
    border: 8px solid var(--color-purple-gemi);
    border-radius: 100%;
    animation-name: ripple;
    animation-duration: 2s;
    animation-delay: 0.2s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
    z-index: 0;
}


.request-loader.gemi {
    height: var(--size-loader-gemi);
    width: var(--size-loader-gemi);
}


.request-loader.yt::after {
    border-color: var(--color-yt);
    border-width: 5px;
    animation-name: ripple-yt;
    animation-delay: 0.3s;
}
.request-loader.yt::before {
    border-color: var(--color-yt);
    border-width: 5px;
    animation-name: ripple-yt;
    animation-delay: 0.5s;
}

.request-loader.fb::after {
    border-color: var(--color-fb);
    animation-name: ripple-fb;
    animation-delay: 0s;
}

.request-loader.fb::before {
    border-color: var(--color-fb);
    animation-name: ripple-fb;
    animation-delay: 0.2s;
}




@keyframes ripple {
    from {
        opacity: 1;
        transform: scale3d(0.1, 0.1, 1);
    }
    to {
        opacity: 0;
        transform: scale3d(1.3, 1.3, 1);
    }
}


@keyframes ripple-fb {
    from {
        opacity: 1;
        transform: scale3d(0.7, 0.7, 1);
    }
    to {
        opacity: 0;
        transform: scale3d(1.4, 1.4, 1);
    }
}

@keyframes ripple-yt {
    from {
        opacity: 1;
        transform: scale3d(0.6, 0.6, 1);
    }
    to {
        opacity: 0;
        transform: scale3d(1.5, 2, 1);
    }
}
